# Uses of Interface
org.opensaml.saml.saml2.metadata.AdditionalMetadataLocation

Packages that use AdditionalMetadataLocation
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AdditionalMetadataLocation in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AdditionalMetadataLocation
Modifier and Type
Method
Description
`List<AdditionalMetadataLocation>`
EntityDescriptor.`getAdditionalMetadataLocations()`
Gets the additional metadata locations for this entity.

## Uses of AdditionalMetadataLocation in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AdditionalMetadataLocation
Modifier and Type
Class
Description
`class`
`AdditionalMetadataLocationImpl`
Concrete implementation of `AdditionalMetadataLocation`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AdditionalMetadataLocation
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AdditionalMetadataLocation>`
EntityDescriptorImpl.`additionalMetadata`
Additional metadata locations for this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return AdditionalMetadataLocation
Modifier and Type
Method
Description
`AdditionalMetadataLocation`
AdditionalMetadataLocationBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AdditionalMetadataLocation`
AdditionalMetadataLocationBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AdditionalMetadataLocation
Modifier and Type
Method
Description
`List<AdditionalMetadataLocation>`
EntityDescriptorImpl.`getAdditionalMetadataLocations()`
Gets the additional metadata locations for this entity.